using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Controls;

[ComImport]
[TypeLibType(4096)]
[SuppressUnmanagedCodeSecurity]
[InterfaceType(2)]
[Guid("DEE67370-16C9-4F81-80CC-1F1B61112299")]
public interface IScrollerEvents
{
	[MethodImpl(MethodImplOptions.PreserveSig | MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(1)]
	void Destroy(int nID);

	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(6)]
	void Change(int nID, int nX, int nY);
}
